.wrap {
    height: 100vh;
    display: grid;
    grid-template-rows: 50px 1fr 50px;
    grid-template-columns: 1fr 2fr 1fr;
}

.wrap div {
    border: 5px red solid;
    text-align: center;
}

.header {
    grid-row: 1/2;
    grid-column: 1/4;
}

.left {
    grid-row: 2/3;
    grid-column: 1/2;
}

.center {
    grid-row: 2/3;
    grid-column: 2/3;
}

.right {
    grid-row: 2/3;
    grid-column: 3/4;
}

.footer {
    grid-row: 3/4;
    grid-column: 1/4;
}